import BaseAPIService from './BaseAPIService';
import { PoolNumber, PoolNumberPutRequest, PoolNumberPostRequest, PoolNumberFilterRequest } from '../models/pool';
declare class NumberPoolService extends BaseAPIService<PoolNumber, PoolNumberPutRequest, PoolNumberPostRequest, PoolNumberFilterRequest> {
    constructor(baseURL: any, token: any);
    assign(accountId: string, poolNumber: PoolNumber): Promise<PoolNumber | void>;
}
export default NumberPoolService;
